org.gcube.dataanalysis.dataminer.poolmanager.clients.configurations

## Class Prod

- java.lang.Object
- - org.gcube.dataanalysis.dataminer.poolmanager.clients.configurations.AbstractConfiguration
  - - org.gcube.dataanalysis.dataminer.poolmanager.clients.configurations.Prod

    public class Prod
    extends AbstractConfiguration

### Constructor Summary

Constructors
Constructor and Description
`Prod()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getType()`
`String` `getXMLModel()`

### Methods inherited from class org.gcube.dataanalysis.dataminer.poolmanager.clients.configurations.AbstractConfiguration

`getAlgorithmsList, getDepsJava, getDepsKnimeWorkflow, getDepsLinuxCompiled, getDepsOctave, getDepsPreInstalled, getDepsPython, getDepsR, getDepsRBlackbox, getDepsWindowsCompiled, getGhostRepo, getHost, getSoftwareRepo, getXML, setAlgorithmsList, setDepsJava, setDepsKnimeWorkflow, setDepsLinuxCompiled, setDepsOctave, setDepsPreInstalled, setDepsPython, setDepsR, setDepsRBlackbox, setDepsWindowsCompiled, setGhostRepo, setHost, setSoftwareRepo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Prod

    public Prod()

### Method Detail

#### getXMLModel

    public String getXMLModel()

Specified by:
  `getXMLModel` in class `AbstractConfiguration`

#### getType

    public String getType()

Specified by:
  `getType` in class `AbstractConfiguration`